REM ###########################################################################
REM   FILE   : crdbed25.sql
REM   PURPOSE: Uniform database environment in classrooms
REM
REM   CREATED:      28 Feb 2001
REM   UPDATED:      12 May 2001
REM   FILE NAME:    crdbed25.sql
REM   FILE VERSION: 1.1.4
REM
REM   The following values may need to be updated accordingly.
REM   DB_NAME     Example db01
REM                The database name - to be same for instance and service names.
REM   PFILE        The PFILE parameter should also be modified for the db_name.
REM   DB FILENAMEs The DB Files need to be renamed with the db_name.   
REM ###########################################################################

SPOOL $HOME/ADMIN/CREATE/createdb_ed25.log

SET ECHO ON

CONNECT / AS SYSDBA

STARTUP NOMOUNT PFILE=$HOME/ADMIN/PFILE/inited25.ora

CREATE DATABASE ed25
   LOGFILE
      GROUP 1 ('$HOME/ORADATA/u03/log_01_01_ed25.rdo') SIZE 10M,
      GROUP 2 ('$HOME/ORADATA/u03/log_02_01_ed25.rdo') SIZE 10M
   MAXLOGFILES 32
   MAXLOGMEMBERS 3 
   MAXLOGHISTORY 1
   DATAFILE '$HOME/ORADATA/u01/system_01_ed25.dbf' SIZE 100M
      AUTOEXTEND ON NEXT 5M MAXSIZE 150M 
   UNDO TABLESPACE undo1
      DATAFILE '$HOME/ORADATA/u02/undo1_01_ed25.dbf' SIZE 15M
      AUTOEXTEND ON NEXT 5M MAXSIZE 30M
   DEFAULT TEMPORARY TABLESPACE temp
      TEMPFILE '$HOME/ORADATA/u02/temp_01_ed25.dbf' SIZE 60M
      AUTOEXTEND ON NEXT 5M MAXSIZE 100M
   MAXDATAFILES 40
   MAXINSTANCES 1
   CHARACTER SET WE8ISO8859P1
   NATIONAL CHARACTER SET AL16UTF16
   SET TIME_ZONE = 'US/Eastern'
;

SPOOL OFF

EXIT
